<!doctype html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport"
        content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>PageVisibility</title>
</head>
<body>
<p>
  Balance: <span id="balance"></span>
</p>

<script>
  const element = document.getElementById('balance')

  let currentBalance = 10
  function getBalance() {
    element.textContent = currentBalance

    currentBalance += 10
  }

  let timer = setInterval(() => getBalance(), 2000)

  document.addEventListener("visibilitychange", event => {
    console.log(document.visibilityState);

    if (document.hidden) {
      clearInterval(timer);
      document.title = 'STOP BALANCE';
    } else  {
      timer = setInterval(() => getBalance(), 2000)
      document.title = 'START BALANCE';
    }
  });
</script>
</body>
</html>
